/*
Theme Name:    Garage Website Online
Description:   Child Theme for Beaver Builder
Version:       1.0.0
Author:        Garage Website Online
Author URI:    https://garagewebsite.online/
Template:      bb-theme
License:       GNU General Public License v2 or later
License URI:   http://www.gnu.org/licenses/gpl-2.0.html
*/

.pp-restaurant-menu-item-price span {
	margin-right: -8px;
}

.list-inline li {
	display: inline-block!important;
	margin-right: 30px;
}

.services-banner .banner-description {
	position: absolute;
	bottom: 0;
	left: 0;
	background-color: #ffde01;
	display: inline-block;
	box-shadow: none;
	text-decoration: none;
	margin: 0!important;
	padding: 15px;
}

.services-banner .banner-description p {
	margin: unset;
}

.services-banner .info-banner-wrap {
	padding-bottom: unset;
	padding-left: unset;
}

.services-banner .pp-info-banner-content:hover {
	border: solid 1px #ffde01;
}

.display-inline-float-left {
	width: auto;
	float: left;
}

.display-inline-float-right {
	width: auto;
	float: right;
}

.display-inline .fl-col-content.fl-node-content {
	display: flex;
	justify-content: center;
	align-items: center;
}


/* Add these to make rows,columns or modules non editable */

.fl-builder-edit .role-editor .fl-builder-content .no-edit {
	pointer-events: none;
	border: 1px solid red;
}


/* This adds a red border so administrators know which areas they have blocked */

.fl-builder-edit .fl-builder-content .no-edit {
	border: 1px solid red;
}

.fl-builder-edit .role-editor .fl-builder-content .no-edit:before {
	content: "NOT EDITABLE";
	color: #FFFFFF;
	text-align: center;
	background-color: red;
	border: 1px solid red;
	padding: 5px 10px;
	font-size: 12px;
	font-weight: 600;
	z-index: 999999;
	position: absolute;
	white-space: nowrap;
}

.fl-builder-node-template-actions {
	display: none!important;
}

.role-editor .fl-builder-ab-wrench.ab-icon.dashicons.dashicons-admin-generic {
	display: none;
}

.role-editor #wp-admin-bar-fl-builder-frontend-edit-link .ab-sub-wrapper {
	display: none!important;
}

#wp-admin-bar-fl-builder-frontend-edit-link a {
	background: #00a21b!important;
}

#wp-admin-bar-fl-builder-frontend-edit-link a:hover {
	background: #007b15!important;
	color: #fff!important;
}

.role-editor .fl-user-template-actions {
	display: none!important;
}

.car-logo-fix .pp-logos-content .pp-logo img {
	width: auto;
}

.fl-builder-edit footer.fl-builder-content:not(.fl-builder-content-primary) {
	display: none;
}

.fl-builder-edit header.fl-builder-content:not(.fl-builder-content-primary) {
	display: none;
}

.fl-user-template-thumbnail .fl-builder--template-thumbnail {
	width: 156px;
	margin-right: unset;
}

.fl-builder--save-new-user-template,
.fl-user-template {
	padding-bottom: 25px!important;
	margin-bottom: 50px!important;
	padding: 10px;
}

.fl-builder--save-new-user-template, .fl-user-template {
    padding: 0;
}

.fl-builder--template-thumbnail:before {
	box-shadow: 1px 2px 12px 0px rgb(0 0 0 / 61%);
}

.fl-builder--template-thumbnail:hover {
    border: solid 2px #000000;
}

.fl-user-template {
    border-radius: 0px;
}

.fl-user-template-name {
	position: absolute;
	bottom: 0;
	font-size: 14px;
	font-weight: bold;
	color: #000;
}

.fl-builder--user-templates-section-content {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(148px, 1fr));
	width: 100%!important;
}

.fl-builder--user-templates-section-content {
	padding: 0;
	margin: 10px;
	border-bottom: none;
}

.fl-user-template:hover {
	transform: scale(1.15)!important;
	z-index: 20;
}

.fl-user-template {
	transition-duration: .15s;
	margin-bottom: 15px;
	width: 156px!important;
	margin-right: 0px;
	padding-right: 0px;
}

.fl-user-template:hover {
	cursor: pointer;
	background: none;
	box-shadow: unset;
	text-decoration: none;
	color: #000;
	padding-right: unset;
}

.fl-builder--user-templates-section-content {
	width: 156px;
	margin-left: 10px;
	margin-right: 10px;
	margin-bottom: -5px;
	padding: 10px;
}

.fl-builder--user-templates-section-name {
	display: none;
}


/* CSS to hide some BB editor elements */

.fl-builder-edit.role-editor button[data-view=savedModules].fl-builder--menu-item {
	display: none;
}

.fl-builder-edit.role-editor button[data-view=savedColumns].fl-builder--menu-item {
	display: none;
}

.fl-builder-edit.role-editor hr:first-of-type {
	display: none;
}

.fl-builder-edit.role-editor button[data-tab=saved].fl-builder--tab-button {
	display: none;
}

.fl-builder-edit.role-editor button.fl-builder-settings-save-as.fl-builder-button.fl-builder-button-large {
	display: none;
	visibility: hidden;
}

.fl-builder-edit .fl-builder-button[data-action=publish].fl-builder-button-primary {
	background-color: #14bd14;
}

.fl-builder-edit .fl-builder-button[data-action=publish].fl-builder-button-primary:hover {
	background-color: #0f8e0f;
}

.fl-builder-edit .fl-builder-button[data-action=discard].fl-builder-button-primary {
	background-color: #ff5159;
}

.fl-builder-edit .fl-builder-button[data-action=discard].fl-builder-button-primary:hover {
	background-color: #d82129;
}

.fl-builder-edit .fl-builder-button[data-action=draft].fl-builder-button-primary {
	background-color: #848282;
}

.fl-builder-edit .fl-builder-button[data-action=draft].fl-builder-button-primary:hover {
	background-color: #5a5a5a;
}

.fl-builder-edit .fl-builder-button.fl-builder-button-primary {
	margin-left: 9px!important;
	border-radius: 3px!important;
}